# Uses of Class
net.shibboleth.idp.installer.impl.CurrentInstallState

Packages that use CurrentInstallState
Package
Description
net.shibboleth.idp.installer.impl
Implementation classes for installation.

## Uses of CurrentInstallState in net.shibboleth.idp.installer.impl

Fields in net.shibboleth.idp.installer.impl declared as CurrentInstallState
Modifier and Type
Field
Description
`private final CurrentInstallState`
V5Install.`currentState`
Current Install.
Constructors in net.shibboleth.idp.installer.impl with parameters of type CurrentInstallState
Modifier
Constructor
Description
``
`V5Install(InstallerPropertiesImpl props, CurrentInstallState installState, org.apache.hc.client5.http.classic.HttpClient client, HttpClientSecurityParameters securityParams)`
Constructor.